LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XPropertyControlContext Interface Reference

specifies the interface of the context of an XPropertyControl. More...

`import"XPropertyControlContext.idl";`

Inheritance diagram for XPropertyControlContext:

## Public Member Functions
void | activateNextControl ([in] XPropertyControl CurrentControl)
| instructs the XPropertyControlContext to active the next control More...
Public Member Functions inherited from XPropertyControlObserver
void | focusGained ([in] XPropertyControl Control)
| notifies the observer that a certain XPropertyControl's UI representation gained the focus. More...
void | valueChanged ([in] XPropertyControl Control)
| notifies the observer that a certain XPropertyControl's value changed. More...

## Detailed Description

specifies the interface of the context of an XPropertyControl.

See also
  XPropertyControl::ControlContext

Since
  OOo 2.0.3

## Member Function Documentation

## ◆ activateNextControl()

void activateNextControl | ( | [in] XPropertyControl | CurrentControl | ) |

instructs the XPropertyControlContext to active the next control

Parameters

  CurrentControl | denotes the control which initiated the request.

The documentation for this interface was generated from the following file:

- com/sun/star/inspection/XPropertyControlContext.idl